Gentoo Archives: gentoo-commits

From: Matt Turner <mattst88@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] repo/gentoo:master commit in: media-libs/mesa/
Date: Sat, 10 Oct 2015 17:23:46
Message-Id: 1444497849.fdc85c8735481ce50328d987ac7854079717c736.mattst88@gentoo
1 commit: fdc85c8735481ce50328d987ac7854079717c736
2 Author: Matt Turner <mattst88 <AT> gentoo <DOT> org>
3 AuthorDate: Sat Oct 10 17:23:42 2015 +0000
4 Commit: Matt Turner <mattst88 <AT> gentoo <DOT> org>
5 CommitDate: Sat Oct 10 17:24:09 2015 +0000
6 URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fdc85c87
7
8 media-libs/mesa: Version bump to 11.0.3.
9
10 media-libs/mesa/Manifest | 1 +
11 media-libs/mesa/mesa-11.0.3.ebuild | 462 +++++++++++++++++++++++++++++++++++++
12 2 files changed, 463 insertions(+)
13
14 diff --git a/media-libs/mesa/Manifest b/media-libs/mesa/Manifest
15 index b0e462a..06194af 100644
16 --- a/media-libs/mesa/Manifest
17 +++ b/media-libs/mesa/Manifest
18 @@ -8,4 +8,5 @@ DIST mesa-10.6.8.tar.xz 7042260 SHA256 e36ee5ceeadb3966fb5ce5b4cf18322dbb76a4f07
19 DIST mesa-10.6.9.tar.xz 7041588 SHA256 b04c4de6280b863babc2929573da17218d92e9e4ba6272d548d135415723e8c3 SHA512 32abcf167312dea06482e46da6f15b1c6902696a7dff759561f099eb12a6748673a5d6bb084c12ef57e6f13d3ec1b456541611a710519da87b11fd622f453344 WHIRLPOOL d3bf4627bdf7a576343bd2701948d5872e5d05a43b2980ce4e4915e8d95bd85eadb563cb3588918c55307769132a0cc8592361b4c9fbdf4831c181604d79028b
20 DIST mesa-11.0.0.tar.xz 7257112 SHA256 e095a3eb2eca9dfde7efca8946527c8ae20a0cc938a8c78debc7f158ad44af32 SHA512 9938010f3d5e72bb8dea371e3502622e2ff6eae14e0265011df8fc81ec915d632abda9be7e772828adb8f0c7c12c830d89dce42e196ca18489fb1386a766220f WHIRLPOOL 454466396fac029450b619c842fa1e34906e5c529a67a575e9096f9e9b1584ad5b00f9ada2656e0469d5cf6d94e966709d4e0253484eb03d32f93e3e7d521f78
21 DIST mesa-11.0.2.tar.xz 7263112 SHA256 fce11fb27eb87adf1e620a76455d635c6136dfa49ae58c53b34ef8d0c7b7eae4 SHA512 5b388c7464a97259b43f0c95114ddb6ea8d748a53a495202a01aa757baf5784c66c57e1f462a909bb9b3bf1239aa4fcbefbfc9fad2376a8288493304a2988ec4 WHIRLPOOL b4dd696c6135dd5f9711727ab57d042941a8b949010192544138f184086d90f1e9da1408ea937c95e831788c0797317d938e40948ae25226928ea14f77503859
22 +DIST mesa-11.0.3.tar.xz 7264824 SHA256 ab2992eece21adc23c398720ef8c6933cb69ea42e1b2611dc09d031e17e033d6 SHA512 7cec13749a600e589794c4b7c082bcbe47d708d3e4a670160a09b07a0c5afc301b984ac4e26519ed3acda6171f936f700eb62c0977cc392343822603ff6c7c15 WHIRLPOOL edcef9df038384cace1b650efbd0245dc6b7ecdd6e22d35a57590d919b1bceb73ff5b531b441b06da806ff1efe357872d1f16d3d0364fbd85000a2d7b406391f
23 DIST mesa-7.10.1-gentoo-patches-01.tar.bz2 5488 SHA256 31cd4f6d1a0a70249c40452919074856d120cd473a01a8457e3dc147a1b622d8 SHA512 c62b45b32e396e67f629003fc5242b7b4df054b8e20b5237489212bc4f0171534915a02fc9efa68965068121d10660b5cd92a419efabe33fd4596a97a39249c2 WHIRLPOOL 5f171959e3a31f5c38438b4806ce371bb8fdf1c7a87501865e4ed5d5ab284cda9568b7773005997d7a1cff151f95e64c027b36c0be48a4dd288a7ab8b5f69b97
24
25 diff --git a/media-libs/mesa/mesa-11.0.3.ebuild b/media-libs/mesa/mesa-11.0.3.ebuild
26 new file mode 100644
27 index 0000000..38d52d0
28 --- /dev/null
29 +++ b/media-libs/mesa/mesa-11.0.3.ebuild
30 @@ -0,0 +1,462 @@
31 +# Copyright 1999-2015 Gentoo Foundation
32 +# Distributed under the terms of the GNU General Public License v2
33 +# $Id$
34 +
35 +EAPI=5
36 +
37 +EGIT_REPO_URI="git://anongit.freedesktop.org/mesa/mesa"
38 +
39 +if [[ ${PV} = 9999 ]]; then
40 + GIT_ECLASS="git-r3"
41 + EXPERIMENTAL="true"
42 +fi
43 +
44 +PYTHON_COMPAT=( python2_7 )
45 +
46 +inherit autotools multilib-minimal python-any-r1 pax-utils ${GIT_ECLASS}
47 +
48 +OPENGL_DIR="xorg-x11"
49 +
50 +MY_P="${P/_/-}"
51 +FOLDER="${PV/_rc*/}"
52 +
53 +DESCRIPTION="OpenGL-like graphic library for Linux"
54 +HOMEPAGE="http://mesa3d.sourceforge.net/"
55 +
56 +if [[ $PV == 9999 ]]; then
57 + SRC_URI=""
58 + KEYWORDS=""
59 +else
60 + SRC_URI="ftp://ftp.freedesktop.org/pub/mesa/${FOLDER}/${MY_P}.tar.xz"
61 + KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~x86-freebsd ~amd64-linux ~arm-linux ~ia64-linux ~x86-linux ~sparc-solaris ~x64-solaris ~x86-solaris"
62 +fi
63 +
64 +LICENSE="MIT"
65 +SLOT="0"
66 +RESTRICT="!bindist? ( bindist )"
67 +
68 +INTEL_CARDS="i915 i965 ilo intel"
69 +RADEON_CARDS="r100 r200 r300 r600 radeon radeonsi"
70 +VIDEO_CARDS="${INTEL_CARDS} ${RADEON_CARDS} freedreno nouveau vmware"
71 +for card in ${VIDEO_CARDS}; do
72 + IUSE_VIDEO_CARDS+=" video_cards_${card}"
73 +done
74 +
75 +IUSE="${IUSE_VIDEO_CARDS}
76 + bindist +classic d3d9 debug +dri3 +egl +gallium +gbm gles1 gles2 +llvm
77 + +nptl opencl osmesa pax_kernel openmax pic selinux +udev vaapi vdpau
78 + wayland xvmc xa kernel_FreeBSD"
79 +
80 +REQUIRED_USE="
81 + d3d9? ( dri3 gallium )
82 + llvm? ( gallium )
83 + opencl? ( gallium llvm )
84 + openmax? ( gallium )
85 + gles1? ( egl )
86 + gles2? ( egl )
87 + vaapi? ( gallium )
88 + vdpau? ( gallium )
89 + wayland? ( egl gbm )
90 + xa? ( gallium )
91 + video_cards_freedreno? ( gallium )
92 + video_cards_intel? ( classic )
93 + video_cards_i915? ( || ( classic gallium ) )
94 + video_cards_i965? ( classic )
95 + video_cards_ilo? ( gallium )
96 + video_cards_nouveau? ( || ( classic gallium ) )
97 + video_cards_radeon? ( || ( classic gallium ) )
98 + video_cards_r100? ( classic )
99 + video_cards_r200? ( classic )
100 + video_cards_r300? ( gallium llvm )
101 + video_cards_r600? ( gallium )
102 + video_cards_radeonsi? ( gallium llvm )
103 + video_cards_vmware? ( gallium )
104 + ${PYTHON_REQUIRED_USE}
105 +"
106 +
107 +LIBDRM_DEPSTRING=">=x11-libs/libdrm-2.4.64"
108 +# keep correct libdrm and dri2proto dep
109 +# keep blocks in rdepend for binpkg
110 +RDEPEND="
111 + !<x11-base/xorg-server-1.7
112 + !<=x11-proto/xf86driproto-2.0.3
113 + abi_x86_32? ( !app-emulation/emul-linux-x86-opengl[-abi_x86_32(-)] )
114 + classic? ( app-eselect/eselect-mesa )
115 + gallium? ( app-eselect/eselect-mesa )
116 + >=app-eselect/eselect-opengl-1.3.0
117 + udev? ( kernel_linux? ( >=virtual/libudev-215:=[${MULTILIB_USEDEP}] ) )
118 + >=dev-libs/expat-2.1.0-r3:=[${MULTILIB_USEDEP}]
119 + gbm? ( >=virtual/libudev-215:=[${MULTILIB_USEDEP}] )
120 + dri3? ( >=virtual/libudev-215:=[${MULTILIB_USEDEP}] )
121 + >=x11-libs/libX11-1.6.2:=[${MULTILIB_USEDEP}]
122 + >=x11-libs/libxshmfence-1.1:=[${MULTILIB_USEDEP}]
123 + >=x11-libs/libXdamage-1.1.4-r1:=[${MULTILIB_USEDEP}]
124 + >=x11-libs/libXext-1.3.2:=[${MULTILIB_USEDEP}]
125 + >=x11-libs/libXxf86vm-1.1.3:=[${MULTILIB_USEDEP}]
126 + >=x11-libs/libxcb-1.9.3:=[${MULTILIB_USEDEP}]
127 + x11-libs/libXfixes:=[${MULTILIB_USEDEP}]
128 + llvm? ( !kernel_FreeBSD? (
129 + video_cards_radeonsi? ( || (
130 + >=dev-libs/elfutils-0.155-r1:=[${MULTILIB_USEDEP}]
131 + >=dev-libs/libelf-0.8.13-r2:=[${MULTILIB_USEDEP}]
132 + ) )
133 + !video_cards_r600? (
134 + video_cards_radeon? ( || (
135 + >=dev-libs/elfutils-0.155-r1:=[${MULTILIB_USEDEP}]
136 + >=dev-libs/libelf-0.8.13-r2:=[${MULTILIB_USEDEP}]
137 + ) )
138 + ) )
139 + >=sys-devel/llvm-3.4.2:=[${MULTILIB_USEDEP}]
140 + )
141 + opencl? (
142 + app-eselect/eselect-opencl
143 + dev-libs/libclc
144 + !kernel_FreeBSD? ( || (
145 + >=dev-libs/elfutils-0.155-r1:=[${MULTILIB_USEDEP}]
146 + >=dev-libs/libelf-0.8.13-r2:=[${MULTILIB_USEDEP}]
147 + ) )
148 + )
149 + openmax? ( >=media-libs/libomxil-bellagio-0.9.3:=[${MULTILIB_USEDEP}] )
150 + vaapi? ( >=x11-libs/libva-0.35.0:=[${MULTILIB_USEDEP}] )
151 + vdpau? ( >=x11-libs/libvdpau-1.1:=[${MULTILIB_USEDEP}] )
152 + wayland? ( >=dev-libs/wayland-1.2.0:=[${MULTILIB_USEDEP}] )
153 + xvmc? ( >=x11-libs/libXvMC-1.0.8:=[${MULTILIB_USEDEP}] )
154 + ${LIBDRM_DEPSTRING}[video_cards_freedreno?,video_cards_nouveau?,video_cards_vmware?,${MULTILIB_USEDEP}]
155 +"
156 +for card in ${INTEL_CARDS}; do
157 + RDEPEND="${RDEPEND}
158 + video_cards_${card}? ( ${LIBDRM_DEPSTRING}[video_cards_intel] )
159 + "
160 +done
161 +
162 +for card in ${RADEON_CARDS}; do
163 + RDEPEND="${RDEPEND}
164 + video_cards_${card}? ( ${LIBDRM_DEPSTRING}[video_cards_radeon] )
165 + "
166 +done
167 +RDEPEND="${RDEPEND}
168 + video_cards_radeonsi? ( ${LIBDRM_DEPSTRING}[video_cards_amdgpu] )
169 +"
170 +
171 +DEPEND="${RDEPEND}
172 + llvm? (
173 + video_cards_radeonsi? ( sys-devel/llvm[video_cards_radeon] )
174 + )
175 + opencl? (
176 + >=sys-devel/llvm-3.4.2:=[${MULTILIB_USEDEP}]
177 + >=sys-devel/clang-3.4.2:=[${MULTILIB_USEDEP}]
178 + >=sys-devel/gcc-4.6
179 + )
180 + sys-devel/gettext
181 + virtual/pkgconfig
182 + >=x11-proto/dri2proto-2.8-r1:=[${MULTILIB_USEDEP}]
183 + dri3? (
184 + >=x11-proto/dri3proto-1.0:=[${MULTILIB_USEDEP}]
185 + >=x11-proto/presentproto-1.0:=[${MULTILIB_USEDEP}]
186 + )
187 + >=x11-proto/glproto-1.4.17-r1:=[${MULTILIB_USEDEP}]
188 + >=x11-proto/xextproto-7.2.1-r1:=[${MULTILIB_USEDEP}]
189 + >=x11-proto/xf86driproto-2.1.1-r1:=[${MULTILIB_USEDEP}]
190 + >=x11-proto/xf86vidmodeproto-2.3.1-r1:=[${MULTILIB_USEDEP}]
191 +"
192 +[[ ${PV} == 9999 ]] && DEPEND+="
193 + sys-devel/bison
194 + sys-devel/flex
195 + ${PYTHON_DEPS}
196 + $(python_gen_any_dep ">=dev-python/mako-0.7.3[\${PYTHON_USEDEP}]")
197 +"
198 +
199 +S="${WORKDIR}/${MY_P}"
200 +EGIT_CHECKOUT_DIR=${S}
201 +
202 +QA_WX_LOAD="
203 +x86? (
204 + !pic? (
205 + usr/lib*/libglapi.so.0.0.0
206 + usr/lib*/libGLESv1_CM.so.1.1.0
207 + usr/lib*/libGLESv2.so.2.0.0
208 + usr/lib*/libGL.so.1.2.0
209 + usr/lib*/libOSMesa.so.8.0.0
210 + )
211 +)"
212 +
213 +pkg_setup() {
214 + # warning message for bug 459306
215 + if use llvm && has_version sys-devel/llvm[!debug=]; then
216 + ewarn "Mismatch between debug USE flags in media-libs/mesa and sys-devel/llvm"
217 + ewarn "detected! This can cause problems. For details, see bug 459306."
218 + fi
219 +
220 + python-any-r1_pkg_setup
221 +}
222 +
223 +src_prepare() {
224 + [[ ${PV} == 9999 ]] && eautoreconf
225 +}
226 +
227 +multilib_src_configure() {
228 + local myconf
229 +
230 + if use classic; then
231 + # Configurable DRI drivers
232 + driver_enable swrast
233 +
234 + # Intel code
235 + driver_enable video_cards_i915 i915
236 + driver_enable video_cards_i965 i965
237 + if ! use video_cards_i915 && \
238 + ! use video_cards_i965; then
239 + driver_enable video_cards_intel i915 i965
240 + fi
241 +
242 + # Nouveau code
243 + driver_enable video_cards_nouveau nouveau
244 +
245 + # ATI code
246 + driver_enable video_cards_r100 radeon
247 + driver_enable video_cards_r200 r200
248 + if ! use video_cards_r100 && \
249 + ! use video_cards_r200; then
250 + driver_enable video_cards_radeon radeon r200
251 + fi
252 + fi
253 +
254 + if use egl; then
255 + myconf+="--with-egl-platforms=x11$(use wayland && echo ",wayland")$(use gbm && echo ",drm") "
256 + fi
257 +
258 + if use gallium; then
259 + myconf+="
260 + $(use_enable d3d9 nine)
261 + $(use_enable llvm gallium-llvm)
262 + $(use_enable openmax omx)
263 + $(use_enable vaapi va)
264 + $(use_enable vdpau)
265 + $(use_enable xa)
266 + $(use_enable xvmc)
267 + "
268 + use vaapi && myconf+="--with-va-libdir=/usr/$(get_libdir)/va/drivers"
269 +
270 + gallium_enable swrast
271 + gallium_enable video_cards_vmware svga
272 + gallium_enable video_cards_nouveau nouveau
273 + gallium_enable video_cards_i915 i915
274 + gallium_enable video_cards_ilo ilo
275 + if ! use video_cards_i915 && \
276 + ! use video_cards_i965; then
277 + gallium_enable video_cards_intel i915
278 + fi
279 +
280 + gallium_enable video_cards_r300 r300
281 + gallium_enable video_cards_r600 r600
282 + gallium_enable video_cards_radeonsi radeonsi
283 + if ! use video_cards_r300 && \
284 + ! use video_cards_r600; then
285 + gallium_enable video_cards_radeon r300 r600
286 + fi
287 +
288 + gallium_enable video_cards_freedreno freedreno
289 + # opencl stuff
290 + if use opencl; then
291 + myconf+="
292 + $(use_enable opencl)
293 + --with-clang-libdir="${EPREFIX}/usr/lib"
294 + "
295 + fi
296 + fi
297 +
298 + # x86 hardened pax_kernel needs glx-read-only-text, bug 240956
299 + if [[ ${ABI} == x86 ]]; then
300 + myconf+="$(use_enable pax_kernel glx-read-only-text)"
301 + fi
302 +
303 + # on abi_x86_32 hardened we need to have asm disable
304 + if [[ ${ABI} == x86* ]] && use pic; then
305 + myconf+=" --disable-asm"
306 + fi
307 +
308 + # build fails with BSD indent, bug #428112
309 + use userland_GNU || export INDENT=cat
310 +
311 + ECONF_SOURCE="${S}" \
312 + econf \
313 + --enable-dri \
314 + --enable-glx \
315 + --enable-shared-glapi \
316 + $(use_enable !bindist texture-float) \
317 + $(use_enable d3d9 nine) \
318 + $(use_enable debug) \
319 + $(use_enable dri3) \
320 + $(use_enable egl) \
321 + $(use_enable gbm) \
322 + $(use_enable gles1) \
323 + $(use_enable gles2) \
324 + $(use_enable nptl glx-tls) \
325 + $(use_enable osmesa) \
326 + $(use_enable !udev sysfs) \
327 + --enable-llvm-shared-libs \
328 + --with-dri-drivers=${DRI_DRIVERS} \
329 + --with-gallium-drivers=${GALLIUM_DRIVERS} \
330 + PYTHON2="${PYTHON}" \
331 + ${myconf}
332 +}
333 +
334 +multilib_src_install() {
335 + emake install DESTDIR="${D}"
336 +
337 + if use classic || use gallium; then
338 + ebegin "Moving DRI/Gallium drivers for dynamic switching"
339 + local gallium_drivers=( i915_dri.so i965_dri.so r300_dri.so r600_dri.so swrast_dri.so )
340 + keepdir /usr/$(get_libdir)/dri
341 + dodir /usr/$(get_libdir)/mesa
342 + for x in ${gallium_drivers[@]}; do
343 + if [ -f "$(get_libdir)/gallium/${x}" ]; then
344 + mv -f "${ED}/usr/$(get_libdir)/dri/${x}" "${ED}/usr/$(get_libdir)/dri/${x/_dri.so/g_dri.so}" \
345 + || die "Failed to move ${x}"
346 + fi
347 + done
348 + if use classic; then
349 + emake -C "${BUILD_DIR}/src/mesa/drivers/dri" DESTDIR="${D}" install
350 + fi
351 + for x in "${ED}"/usr/$(get_libdir)/dri/*.so; do
352 + if [ -f ${x} -o -L ${x} ]; then
353 + mv -f "${x}" "${x/dri/mesa}" \
354 + || die "Failed to move ${x}"
355 + fi
356 + done
357 + pushd "${ED}"/usr/$(get_libdir)/dri || die "pushd failed"
358 + ln -s ../mesa/*.so . || die "Creating symlink failed"
359 + # remove symlinks to drivers known to eselect
360 + for x in ${gallium_drivers[@]}; do
361 + if [ -f ${x} -o -L ${x} ]; then
362 + rm "${x}" || die "Failed to remove ${x}"
363 + fi
364 + done
365 + popd
366 + eend $?
367 + fi
368 + if use opencl; then
369 + ebegin "Moving Gallium/Clover OpenCL implementation for dynamic switching"
370 + local cl_dir="/usr/$(get_libdir)/OpenCL/vendors/mesa"
371 + dodir ${cl_dir}/{lib,include}
372 + if [ -f "${ED}/usr/$(get_libdir)/libOpenCL.so" ]; then
373 + mv -f "${ED}"/usr/$(get_libdir)/libOpenCL.so* \
374 + "${ED}"${cl_dir}
375 + fi
376 + if [ -f "${ED}/usr/include/CL/opencl.h" ]; then
377 + mv -f "${ED}"/usr/include/CL \
378 + "${ED}"${cl_dir}/include
379 + fi
380 + eend $?
381 + fi
382 +
383 + if use openmax; then
384 + echo "XDG_DATA_DIRS=\"${EPREFIX}/usr/share/mesa/xdg\"" > "${T}/99mesaxdgomx"
385 + doenvd "${T}"/99mesaxdgomx
386 + keepdir /usr/share/mesa/xdg
387 + fi
388 +}
389 +
390 +multilib_src_install_all() {
391 + prune_libtool_files --all
392 + einstalldocs
393 +
394 + if use !bindist; then
395 + dodoc docs/patents.txt
396 + fi
397 +
398 + # Install config file for eselect mesa
399 + insinto /usr/share/mesa
400 + newins "${FILESDIR}/eselect-mesa.conf.9.2" eselect-mesa.conf
401 +}
402 +
403 +multilib_src_test() {
404 + if use llvm; then
405 + local llvm_tests='lp_test_arit lp_test_arit lp_test_blend lp_test_blend lp_test_conv lp_test_conv lp_test_format lp_test_format lp_test_printf lp_test_printf'
406 + pushd src/gallium/drivers/llvmpipe >/dev/null || die
407 + emake ${llvm_tests}
408 + pax-mark m ${llvm_tests}
409 + popd >/dev/null || die
410 + fi
411 + emake check
412 +}
413 +
414 +pkg_postinst() {
415 + # Switch to the xorg implementation.
416 + echo
417 + eselect opengl set --use-old ${OPENGL_DIR}
418 +
419 + # Select classic/gallium drivers
420 + if use classic || use gallium; then
421 + eselect mesa set --auto
422 + fi
423 +
424 + # Switch to mesa opencl
425 + if use opencl; then
426 + eselect opencl set --use-old ${PN}
427 + fi
428 +
429 + # run omxregister-bellagio to make the OpenMAX drivers known system-wide
430 + if use openmax; then
431 + ebegin "Registering OpenMAX drivers"
432 + BELLAGIO_SEARCH_PATH="${EPREFIX}/usr/$(get_libdir)/libomxil-bellagio0" \
433 + OMX_BELLAGIO_REGISTRY=${EPREFIX}/usr/share/mesa/xdg/.omxregister \
434 + omxregister-bellagio
435 + eend $?
436 + fi
437 +
438 + # warn about patent encumbered texture-float
439 + if use !bindist; then
440 + elog "USE=\"bindist\" was not set. Potentially patent encumbered code was"
441 + elog "enabled. Please see patents.txt for an explanation."
442 + fi
443 +
444 + if ! has_version media-libs/libtxc_dxtn; then
445 + elog "Note that in order to have full S3TC support, it is necessary to install"
446 + elog "media-libs/libtxc_dxtn as well. This may be necessary to get nice"
447 + elog "textures in some apps, and some others even require this to run."
448 + fi
449 +}
450 +
451 +pkg_prerm() {
452 + if use openmax; then
453 + rm "${EPREFIX}"/usr/share/mesa/xdg/.omxregister
454 + fi
455 +}
456 +
457 +# $1 - VIDEO_CARDS flag
458 +# other args - names of DRI drivers to enable
459 +# TODO: avoid code duplication for a more elegant implementation
460 +driver_enable() {
461 + case $# in
462 + # for enabling unconditionally
463 + 1)
464 + DRI_DRIVERS+=",$1"
465 + ;;
466 + *)
467 + if use $1; then
468 + shift
469 + for i in $@; do
470 + DRI_DRIVERS+=",${i}"
471 + done
472 + fi
473 + ;;
474 + esac
475 +}
476 +
477 +gallium_enable() {
478 + case $# in
479 + # for enabling unconditionally
480 + 1)
481 + GALLIUM_DRIVERS+=",$1"
482 + ;;
483 + *)
484 + if use $1; then
485 + shift
486 + for i in $@; do
487 + GALLIUM_DRIVERS+=",${i}"
488 + done
489 + fi
490 + ;;
491 + esac
492 +}